<AnimatedContainer>
  {{#animated-if @selectedDate use=this.transition}}
    <h3 class="text-bold font-black pb-2">
      Selected date:
    </h3>
    <button
      class="bg-purple-500 text-white font-bold py-2 px-6 rounded-full"
      type="button"
      {{on "click" (fn @selectDate null)}}
    >
      {{@selectedDate.dayName}}
      <FaIcon @icon="window-close" class="ml-2" />
    </button>
  {{else}}
    <h3 class="text-bold font-black pb-2">
      Pick a date
    </h3>
    <ul class="w-full flex flex-wrap items-stretch">
      {{!-- {{#animated-each this.dates use=this.transition duration=2000 as |date|}} --}}
        {{#each this.dates as |date|}}
        <li class="px-1 py-1 lg:px-4 lg:py-4 w-1/3 lg:w-1/6">
          <button
            type="button"
            class="hover:border-orange-300 hover:shadow border-purple-200 border-2 flex-vertical justify-center pt-4 pb-4 w-full
              {{if date.isWeekend "bg-purple-100"}}"
            {{on "click" (fn @selectDate date)}}
          >
            <p class="font-medium text-center">
              {{date.dayName}}
            </p>
            <p class="lg:text-6xl font-hairline text-center">
              {{moment-format date.date "D.M"}}
            </p>
          </button>
        </li>
        {{/each}}
      {{!-- {{/animated-each}} --}}
    </ul>
  {{/animated-if}}
</AnimatedContainer>